<?php
/**
 * The Header for our theme.
 *
 * @package multipurpose blog
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width">
<link rel="profile" href="<?php echo esc_url( __( 'http://gmpg.org/xfn/11', 'multipurpose-blog' ) ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

  <button class="toggleMenu toggle"><?php esc_html_e('Menu','multipurpose-blog'); ?></button>

<header>
  <a class="screen-reader-text skip-link" href="#maincontent" alt="<?php esc_html_e( 'Skip to content', 'multipurpose-blog' ); ?>"><?php esc_html_e( 'Skip to content', 'multipurpose-blog' ); ?></a>
  <div id="header">
    <div class="top_headbar">
      <div class="container">
        <div class="row">
          <div class="top-contact col-lg-2 col-md-2">
            <?php if( get_theme_mod( 'multipurpose_blog_contact','' ) != '') { ?>
              <span class="call"><i class="fa fa-phone" aria-hidden="true"></i><?php echo esc_html( get_theme_mod('multipurpose_blog_contact','' )); ?></span>
             <?php } ?>
          </div>   
          <div class="top-contact col-lg-3 col-md-3">
            <?php if( get_theme_mod( 'multipurpose_blog_email','' ) != '') { ?>
              <span class="email"><i class="fa fa-envelope" aria-hidden="true"></i><?php echo esc_html( get_theme_mod('multipurpose_blog_email','') ); ?></span>
            <?php } ?>
          </div>
          <div class="col-lg-7 col-md-7 socialbox">
            <?php if( get_theme_mod( 'multipurpose_blog_cont_facebook' ) != '') { ?>
              <a href="<?php echo esc_url( get_theme_mod( 'multipurpose_blog_cont_facebook','' ) ); ?>" alt="<?php esc_attr_e( 'Facebook','multipurpose-blog' );?>"><i class="fab fa-facebook-f" aria-hidden="true"></i><span class="screen-reader-text"><?php esc_attr_e( 'Facebook','multipurpose-blog' );?></span></a>
            <?php } ?>
            <?php if( get_theme_mod( 'multipurpose_blog_cont_twitter' ) != '') { ?>
              <a href="<?php echo esc_url( get_theme_mod( 'multipurpose_blog_cont_twitter','' ) ); ?>" alt="<?php esc_attr_e( 'Twitter','multipurpose-blog' );?>"><i class="fab fa-twitter" aria-hidden="true"></i><span class="screen-reader-text"><?php esc_attr_e( 'Twitter','multipurpose-blog' );?></span></a>
            <?php } ?>
            <?php if( get_theme_mod( 'multipurpose_blog_google_plus') != '') { ?>
              <a href="<?php echo esc_url( get_theme_mod( 'multipurpose_blog_google_plus','' ) ); ?>" alt="<?php esc_attr_e( 'Google','multipurpose-blog' );?>"><i class="fab fa-google-plus-g" aria-hidden="true"></i><span class="screen-reader-text"><?php esc_attr_e( 'Google','multipurpose-blog' );?></span></a>
            <?php } ?>
            <?php if( get_theme_mod( 'multipurpose_blog_pinterest') != '') { ?>
              <a href="<?php echo esc_url( get_theme_mod( 'multipurpose_blog_pinterest','' ) ); ?>" alt="<?php esc_attr_e( 'Pinterest','multipurpose-blog' );?>"><i class="fab fa-pinterest-p" aria-hidden="true"></i><span class="screen-reader-text"><?php esc_attr_e( 'Pinterest','multipurpose-blog' );?></span></a>
            <?php } ?>
            <?php if( get_theme_mod( 'multipurpose_blog_tumblr') != '') { ?>
              <a href="<?php echo esc_url( get_theme_mod( 'multipurpose_blog_tumblr','' ) ); ?>" alt="<?php esc_attr_e( 'Tumblr','multipurpose-blog' );?>"><i class="fab fa-tumblr" aria-hidden="true"></i><span class="screen-reader-text"><?php esc_attr_e( 'Tumblr','multipurpose-blog' );?></span></a>
            <?php } ?>
          </div>
          <div class="clearfix"></div>  
        </div>
      </div>
    </div>

    <div class="logo_bar">
      <div class="logo">
        <?php if( has_custom_logo() ){ multipurpose_blog_the_custom_logo();
           }else{ ?>
          <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" alt="<?php bloginfo( 'name' ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
          <?php $description = get_bloginfo( 'description', 'display' );
          if ( $description || is_customize_preview() ) : ?> 
            <p class="site-description"><?php echo esc_html($description); ?></p>       
        <?php endif; }?>       
      </div>
    </div>
    
    <nav class="menus"> 
      <div class="container">
        <div class="menubox header">
          <div class="nav">
            <?php wp_nav_menu( array('theme_location'  => 'primary') ); ?>
          </div>
          <div class="clearfix"></div>
        </div>
      </div>
    </nav>
  </div>
</header>