<?php
/**
 * Template Name: Custom Home Page
 */

get_header(); ?>

<?php do_action( 'multipurpose_blog_before_slider' ); ?>

<?php if( get_theme_mod('multipurpose_blog_slider_hide',true) != ''){ ?>
  <section id="slider">
    <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
      <?php $slider_page = array();
        for ( $count = 1; $count <=4; $count++ ) {
          $mod = intval( get_theme_mod( 'multipurpose_blog_slidersettings_page' . $count ));
          if ( 'page-none-selected' != $mod ) {
            $slider_page[] = $mod;
          }
        }
        if( !empty($slider_page) ) :
        $args = array(
            'post_type' => 'page',
            'post__in' => $slider_page,
            'orderby' => 'post__in'
        );
        $query = new WP_Query( $args );
        if ( $query->have_posts() ) :
          $i = 1;
      ?>     
      <div class="carousel-inner" role="listbox">
        <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
        <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
          <img src="<?php the_post_thumbnail_url('full'); ?>" alt="<?php the_title(); ?> post thumbnail image"/>
          <div class="carousel-caption">
            <div class="inner_carousel">
              <h2><?php the_title();?></h2>
              <p><?php $excerpt = get_the_excerpt(); echo esc_html( multipurpose_blog_string_limit_words( $excerpt, esc_attr(get_theme_mod('multipurpose_blog_slider_excerpt_number','30')))); ?></p>
              <div class="slide-button">
                <a class="read-more" href="<?php echo esc_url( get_permalink() );?>" alt="<?php esc_html_e( 'CONTINUE READING','multipurpose-blog' );?>"><?php esc_html_e( 'CONTINUE READING','multipurpose-blog' ); ?><span class="screen-reader-text"><?php esc_html_e( 'CONTINUE READING','multipurpose-blog' );?></span></a>
              </div> 
            </div>
          </div>
        </div>
        <?php $i++; endwhile; 
        wp_reset_postdata();?>
      </div>
      <?php else : ?>
      <div class="no-postfound"></div>
        <?php endif;
      endif;?>
      <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev" alt="<?php esc_attr_e( 'Previous','multipurpose-blog' );?>">
        <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-angle-left"></i></span>
        <span class="screen-reader-text"><?php esc_attr_e( 'Previous','multipurpose-blog' );?></span>
      </a>
      <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next" alt="<?php esc_attr_e( 'Next','multipurpose-blog' );?>">
        <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-angle-right"></i></span>
        <span class="screen-reader-text"><?php esc_attr_e( 'Next','multipurpose-blog' );?></span>
      </a>
    </div>
    <div class="clearfix"></div>
  </section>
<?php }?>

<?php do_action( 'multipurpose_blog_after_slider' ); ?>

<?php if( get_theme_mod('multipurpose_blog_photo_setting') != ''){ ?>
  <section id="photography" class="darkbox">
    <div class="container">
      <div class="row m-0">
        <?php 
        $catData=  get_theme_mod('multipurpose_blog_photo_setting');
          if($catData){
              $page_query = new WP_Query(array( 'category_name' => esc_html( $catData ,'multipurpose-blog')));?>
          <?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
            <div class="col-lg-4 col-md-4"> 
              <div class="imagebox">
                <?php if(has_post_thumbnail()) { ?><?php the_post_thumbnail(); ?><?php } ?>
              </div>
              <div class="contentbox">
                <a href="<?php the_permalink(); ?>" alt="<?php the_title(); ?>"><h4><?php the_title(); ?></h4><span class="screen-reader-text"><?php the_title(); ?></span></a>
                <hr class="photocat">
              </div>
            </div>
            <?php endwhile; 
            wp_reset_postdata();
          }
        ?>      
        <div class="clearfix"></div>
      </div>
    </div>
  </section>
<?php }?>

<?php do_action( 'multipurpose_blog_after_section1' ); ?>

<div class="container">
  <?php while ( have_posts() ) : the_post(); ?>
    <?php the_content(); ?>
  <?php endwhile; // end of the loop. ?>
</div>

<?php get_footer(); ?>